List
These API endpoints are core endpoints of our list.
GET
/
list/rss.xmlGet RSS Feed
Gets the RSS feed for the site, in XML format
curl -X GET "https://spider.omniplex.gg/list/rss.xml"Success
nullGET
/
list/sitemap.xmlGet Sitemap
Gets the sitemap for the site, in XML format
curl -X GET "https://spider.omniplex.gg/list/sitemap.xml"Success
nullPOST
/
list/searchSearch List
Searches the list returning a list of bots/servers/teams/packs that match the query
Request Body
application/jsonRequiredpageinteger
The page of results to return for every target type, starting at 1
querystring
serversobject
shardsobject
tagsobject
target_typesarray<string>
total_membersobject
votesobject
curl -X POST "https://spider.omniplex.gg/list/search" \
-H "Content-Type: application/json" \
-d '{
"page": 0,
"query": "string",
"servers": {
"from": 0,
"to": 0
},
"shards": {
"from": 0,
"to": 0
},
"tags": {
"tag_mode": "string",
"tags": [
"string"
]
},
"target_types": [
"string"
],
"total_members": {
"from": 0,
"to": 0
},
"votes": {
"from": 0,
"to": 0
}
}'Success
{
"bots": [
{
"approximate_votes": 0,
"asset_versions": {
"property1": "string",
"property2": "string"
},
"boosted_until": "2019-08-24T14:15:22Z",
"bot_id": "string",
"clicks": 0,
"created_at": "2019-08-24T14:15:22Z",
"featured_until": "2019-08-24T14:15:22Z",
"invite_clicks": 0,
"library": "string",
"nsfw": true,
"premium": true,
"servers": 0,
"shards": 0,
"short": "string",
"spotlighted_until": "2019-08-24T14:15:22Z",
"supporter_badge": true,
"tags": [
"string"
],
"type": "string",
"user": {
"avatar": "string",
"bot": true,
"display_name": "string",
"extra_data": {
"property1": null,
"property2": null
},
"flags": [
"string"
],
"id": "string",
"status": "string",
"username": "string"
},
"vanity": "string",
"vanity_ref": "e1b95001-3370-4367-9787-1fb904c7b8c7",
"vote_blitz_until": "2019-08-24T14:15:22Z",
"votes": 0
}
],
"counts": {
"property1": 0,
"property2": 0
},
"packs": [
{
"bot_ids": [
"string"
],
"bots": [
{
"approximate_votes": 0,
"asset_versions": {
"property1": "string",
"property2": "string"
},
"boosted_until": "2019-08-24T14:15:22Z",
"bot_id": "string",
"clicks": 0,
"created_at": "2019-08-24T14:15:22Z",
"featured_until": "2019-08-24T14:15:22Z",
"invite_clicks": 0,
"library": "string",
"nsfw": true,
"premium": true,
"servers": 0,
"shards": 0,
"short": "string",
"spotlighted_until": "2019-08-24T14:15:22Z",
"supporter_badge": true,
"tags": [
"string"
],
"type": "string",
"user": {
"avatar": "string",
"bot": true,
"display_name": "string",
"extra_data": {
"property1": null,
"property2": null
},
"flags": [
"string"
],
"id": "string",
"status": "string",
"username": "string"
},
"vanity": "string",
"vanity_ref": "e1b95001-3370-4367-9787-1fb904c7b8c7",
"vote_blitz_until": "2019-08-24T14:15:22Z",
"votes": 0
}
],
"created_at": "2019-08-24T14:15:22Z",
"emojis": [
{
"animated": true,
"downloads": 0,
"id": "string",
"name": "string",
"position": 0,
"vanity": "string"
}
],
"name": "string",
"owner": {
"avatar": "string",
"bot": true,
"display_name": "string",
"extra_data": {
"property1": null,
"property2": null
},
"flags": [
"string"
],
"id": "string",
"status": "string",
"username": "string"
},
"pack_type": "string",
"server_ids": [
"string"
],
"servers": [
{
"approximate_votes": 0,
"asset_versions": {
"property1": "string",
"property2": "string"
},
"avatar": "string",
"boosted_until": "2019-08-24T14:15:22Z",
"clicks": 0,
"featured_until": "2019-08-24T14:15:22Z",
"invite_clicks": 0,
"name": "string",
"nsfw": true,
"online_members": 0,
"premium": true,
"server_id": "string",
"short": "string",
"spotlighted_until": "2019-08-24T14:15:22Z",
"state": "string",
"supporter_badge": true,
"tags": [
"string"
],
"total_members": 0,
"type": "string",
"vanity": "string",
"vanity_ref": "e1b95001-3370-4367-9787-1fb904c7b8c7",
"votes": 0
}
],
"short": "string",
"sounds": [
{
"downloads": 0,
"duration_ms": 0,
"id": "string",
"name": "string",
"position": 0,
"vanity": "string"
}
],
"stickers": [
{
"animated": true,
"downloads": 0,
"id": "string",
"name": "string",
"position": 0,
"vanity": "string"
}
],
"tags": [
"string"
],
"url": "string",
"vote_banned": true,
"votes": 0
}
],
"per_page": 0,
"servers": [
{
"approximate_votes": 0,
"asset_versions": {
"property1": "string",
"property2": "string"
},
"avatar": "string",
"boosted_until": "2019-08-24T14:15:22Z",
"clicks": 0,
"featured_until": "2019-08-24T14:15:22Z",
"invite_clicks": 0,
"name": "string",
"nsfw": true,
"online_members": 0,
"premium": true,
"server_id": "string",
"short": "string",
"spotlighted_until": "2019-08-24T14:15:22Z",
"state": "string",
"supporter_badge": true,
"tags": [
"string"
],
"total_members": 0,
"type": "string",
"vanity": "string",
"vanity_ref": "e1b95001-3370-4367-9787-1fb904c7b8c7",
"votes": 0
}
],
"target_types": [
"string"
],
"teams": [
{
"approximate_votes": 0,
"asset_versions": {
"property1": "string",
"property2": "string"
},
"created_at": "2019-08-24T14:15:22Z",
"entities": {
"bots": [
{
"approximate_votes": 0,
"asset_versions": {
"property1": "string",
"property2": "string"
},
"boosted_until": "2019-08-24T14:15:22Z",
"bot_id": "string",
"clicks": 0,
"created_at": "2019-08-24T14:15:22Z",
"featured_until": "2019-08-24T14:15:22Z",
"invite_clicks": 0,
"library": "string",
"nsfw": true,
"premium": true,
"servers": 0,
"shards": 0,
"short": "string",
"spotlighted_until": "2019-08-24T14:15:22Z",
"supporter_badge": true,
"tags": [
"string"
],
"type": "string",
"user": {
"avatar": "string",
"bot": true,
"display_name": "string",
"extra_data": {
"property1": null,
"property2": null
},
"flags": [
"string"
],
"id": "string",
"status": "string",
"username": "string"
},
"vanity": "string",
"vanity_ref": "e1b95001-3370-4367-9787-1fb904c7b8c7",
"vote_blitz_until": "2019-08-24T14:15:22Z",
"votes": 0
}
],
"members": [
{
"created_at": "2019-08-24T14:15:22Z",
"data_holder": true,
"flags": [
"string"
],
"itag": "6b5f8e7b-1e8c-4611-b693-ee8faa950c62",
"mentionable": true,
"service": "string",
"team_id": "string",
"user": {
"avatar": "string",
"bot": true,
"display_name": "string",
"extra_data": {
"property1": null,
"property2": null
},
"flags": [
"string"
],
"id": "string",
"status": "string",
"username": "string"
}
}
],
"servers": [
{
"approximate_votes": 0,
"asset_versions": {
"property1": "string",
"property2": "string"
},
"avatar": "string",
"boosted_until": "2019-08-24T14:15:22Z",
"clicks": 0,
"featured_until": "2019-08-24T14:15:22Z",
"invite_clicks": 0,
"name": "string",
"nsfw": true,
"online_members": 0,
"premium": true,
"server_id": "string",
"short": "string",
"spotlighted_until": "2019-08-24T14:15:22Z",
"state": "string",
"supporter_badge": true,
"tags": [
"string"
],
"total_members": 0,
"type": "string",
"vanity": "string",
"vanity_ref": "e1b95001-3370-4367-9787-1fb904c7b8c7",
"votes": 0
}
],
"targets": [
"string"
]
},
"extra_links": [
{
"name": "string",
"value": "string"
}
],
"id": "string",
"name": "string",
"nsfw": true,
"service": "string",
"short": "string",
"tags": [
"string"
],
"updated_at": "2019-08-24T14:15:22Z",
"vanity": "string",
"vanity_ref": "e1b95001-3370-4367-9787-1fb904c7b8c7",
"vote_banned": true,
"votes": 0
}
]
}GET
/
list/statsGet List Statistics
Gets basic statistics of the list
curl -X GET "https://spider.omniplex.gg/list/stats"Success
{
"total_approved_bots": 0,
"total_approved_servers": 0,
"total_banned_users": 0,
"total_bots": 0,
"total_certified_bots": 0,
"total_certified_servers": 0,
"total_denied_bots": 0,
"total_denied_servers": 0,
"total_packs": 0,
"total_pending_bots": 0,
"total_pending_servers": 0,
"total_servers": 0,
"total_staff": 0,
"total_tickets": 0,
"total_users": 0,
"total_vote_banned_bots": 0,
"total_vote_banned_servers": 0,
"total_votes": 0
}GET
/
list/partnersGet List Partners
Gets the official partners of the list
curl -X GET "https://spider.omniplex.gg/list/partners"Success
{
"partner_types": [
{
"created_at": "2019-08-24T14:15:22Z",
"icon": "string",
"id": "string",
"name": "string",
"short": "string"
}
],
"partners": [
{
"bot": {
"avatar": "string",
"bot": true,
"display_name": "string",
"extra_data": {
"property1": null,
"property2": null
},
"flags": [
"string"
],
"id": "string",
"status": "string",
"username": "string"
},
"bot_id": "string",
"created_at": "2019-08-24T14:15:22Z",
"id": "string",
"links": [
{
"name": "string",
"value": "string"
}
],
"name": "string",
"short": "string",
"type": "string",
"user": {
"avatar": "string",
"bot": true,
"display_name": "string",
"extra_data": {
"property1": null,
"property2": null
},
"flags": [
"string"
],
"id": "string",
"status": "string",
"username": "string"
}
}
]
}GET
/
list/staff-templatesGet Staff Templates
Returns all of the staff templates used for reviewing bots and servers. Filter to one entity type with ?entity_type=bot or ?entity_type=server; omit it to get both.
Query Parameters
entity_typestring
Filter templates to just "bot" or "server". Omit for both.
curl -X GET "https://spider.omniplex.gg/list/staff-templates?entity_type=string"Success
{
"template_types": [
{
"icon": "string",
"id": "string",
"name": "string",
"short": "string"
}
],
"templates": [
{
"created_at": "2019-08-24T14:15:22Z",
"description": "string",
"emoji": "string",
"entity_type": "string",
"id": "string",
"name": "string",
"tags": [
"string"
],
"type": "string"
}
]
}